Subject: Re: 30.0.50; cmcheckmagic aborts when tty_write_glyphs writes "Garbage collecting..." in some cases

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2024 19:36:20 +0300

> From: Daniel Clemente <[email-masked]>
> Date: Mon, 3 Jun 2024 16:28:11 +0000
> Cc: [email-masked]
> 
> > Bug#71343 seems to describe a GUI frame (if not, what does the
> > window-manager have to do with it?).  While here we are talking about
> > TTY frames, right?  And killing frames is not involved in this bug
> > report, right?  Or what am I missing?
> 
> This one (bug 71289) seems to be about crashes involving GC messages
> and resizing the terminal.

AFAIR, almost all of the bugs you submitted have something to do with
GC messages, so the above doesn't help in any way to make this one
stand out, or am I confused?

> I don't know the root cause; it could be some bug in the redisplay code.
> I started thinking about other redisplay bugs and filed bug#71343, but
> that one isn't related to this bug because it's not about GC. The
> other 2 issues I mentioned may or not be related, I don't know.
> 
> In all reports I'm using TTY frames, i.e. Emacs compiled without X
> support; it's not GUI frames.  But I'm running them inside a urxvt
> window in X with a window manager.  I wanted a simpler and smaller
> Emacs without any X support, but I still run it in X.

So how is the window manager relevant here?